//=============================================================================
// BattleCmdSubWindow.h
//=============================================================================
#pragma once
#include "menuwindow.h"
class CManipulator;
class CBattle;

//-----------------------------------------------------------------------------
// CBattleCmdSubWindow
//-----------------------------------------------------------------------------
class CBattleCmdSubWindow :	public CMenuWindow
{
protected:
	CBattle			*m_pParent;

public:
	CBattleCmdSubWindow(void);
	virtual ~CBattleCmdSubWindow(void);

	void AddCommand( const int *pCommandID );

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CBattle *pParent );
	void FrameMove( const CManipulator *pMani );
	void Render( void );
};

