//=============================================================================
// BattleCmdWindow.h
//=============================================================================

#pragma once
#include "menuwindow.h"
class CManipulator;
class CBattle;

//-----------------------------------------------------------------------------
// CBattleCmdWindow
//-----------------------------------------------------------------------------
class CBattleCmdWindow : public CMenuWindow
{
protected:
	CBattle			*m_pParent;

public:
	CBattleCmdWindow(void);
	virtual ~CBattleCmdWindow(void);


	void AddCommand( const int *pCommandID );

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CBattle *pParent );
	void FrameMove( const CManipulator *pMani );
	void Render( void );
};

