//=============================================================================
// BattleConst.h
//=============================================================================
#pragma once

// GJEg
typedef struct {
	int nPartyID;
	int nRate;
}stEncountInfo;

enum {
	BATTLE_POS_FRONT = 0,	// Oq
	BATTLE_POS_BACK,		// q
};

// OqLXʒuƌqLXʒu
const int FRONT_CHAR_POS_X	= 230;
const int BACK_CHAR_POS_X	= 260;

// ATBl̍őŏ
const int ATB_VALUE_MIN =   0;
const int ATB_VALUE_MAX = 100;

const int BATTLE_ENEMY_COUNT_MAX = 10;	// Gő吔

// [h
enum {
	BTL_MODE_BATTLE = 0,		// s
	BTL_MODE_WIN,				// I
	BTL_MODE_LOSE,				// skI
	BTL_MODE_ESCAPE,			// I
};


class CPlayerParty;
typedef struct {
	int				nFiledID;
	CPlayerParty	*pPlayerParty;
	int				nEnemyPartyID;
} BATTLE_PARAM;


typedef struct {
	int				nActType;	// ANV
	UINT			nAddFrame;	// X^[gt[
	UINT			nExecWaitFrame;	// ܂ł̑҂t[
	int				nCommandID;	// R}hID
	int				nParam1;	// p^ 1
	int				nParam2;	// p^ 2
	int				nParam3;	// p^ 3
	int				nParam4;	// p^ 4
}TIMEKEEP_INFO;

enum {
	TIMEKEEP_ACT_TYPE_NONE = 0,				// R}h
	TIMEKEEP_ACT_TYPE_CMD_INPUT = 1,		// v[R}h
	TIMEKEEP_ACT_TYPE_CMD,					// v[R}h

	TIMEKEEP_ACT_TYPE_ENEMY_CMD_INPUT,		// GR}hI
	TIMEKEEP_ACT_TYPE_ENEMY_CMD,			// GR}h
};

enum {
	TIMEKEEP_WAIT_FRAME_CMD_INPUT		= 30 ,	// R}h
	TIMEKEEP_WAIT_FRAME_CMD_EXEC		= 60 ,	// R}hs

	TIMEKEEP_WAIT_FRAME_ENEMY_CMD_INPUT	= 30 ,	// GR}hI
	TIMEKEEP_WAIT_FRAME_ENEMY_EXEC		= 60 ,	// GR}hs
};
