//=============================================================================
// ChoiceMsgWindow.h
//=============================================================================
#pragma once
#pragma once
#include "MenuWindow.h"

//-----------------------------------------------------------------------------
// CChoiceMsgWindow
//-----------------------------------------------------------------------------
class CChoiceMsgWindow : public CMenuWindow
{
public:
	enum {
		QUESTION_MESSAGE_LINE_MAX = 1,

		MENU_ID_ITEM_1 = 0,
		MENU_ID_ITEM_2 = 1,
		MENU_ID_ITEM_3 = 2,
	};
protected:
	int		m_nLineCnt;
	int		m_nChooseAns;

	// \Ă镶 (sP) (4spӂĂ)
	char m_szDisplayMsg[DISPLAY_MESSAGE_LINE_MAX][DISPLAY_MESSAGE_LEN_MAX+1];

	// \ׂ
	char m_szMsg[DISPLAY_MESSAGE_LINE_MAX][DISPLAY_MESSAGE_LEN_MAX+1];

	// tRs[
	int CopyWidthLimitString( char *pDst,  const char *pSrc, int nLen );

	// sRs[
	int DivCopyToMsgBuf( const char *pSrc, int nLineCnt = 0 );
	void SetDispMsgBuff( void );

public:
	CChoiceMsgWindow(void);
	virtual ~CChoiceMsgWindow(void);

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight );

	virtual void Render( void );	// _O
	virtual void FrameMove( const CManipulator *pMani );

	void SetVisible( BOOL bFlag );
	void SetQuestionMessage( const char *lpzQuestion, const char *lpzAns1, const char *lpzAns2, const char *lpzAns3 );

	int	GetChooseAns( void )
	{	return m_nChooseAns;	};
};


