//=============================================================================
// DataConst.h
//=============================================================================
#pragma once

// }bvf[^
#define MAP_DATA_DIR				"..\\data\\map"
#define MAPCHIP_INFO_CSV_FILE_NAME	"MapChipInfo.csv"
#define MAP_INFO_CSV_FILE_NAME		"MapInfo.csv"
#define ANICHIP_INFO_CSV_FILE_NAME	"AniChipInfo.csv"

// }bvCxgf[^
#define EVENT_DATA_DIR				"..\\data\\event"
#define MAP_EVT_FNAME_PREFIX		"mapevt"

// LN^f[^
#define CHAR_DATA_DIR				"..\\data\\char"
const int CHAR_GRAPH_MAX			= 2;
#define CHAR_GRAPH_FNAME_PREFIX		"char"
const int CHAR_CHIP_MAX_V			= 12;	// 1CHAR_GRAPHɉl邩
const int ONE_CHAR_WIDTH			= 16;	// 1L
const int ONE_CHAR_HEIGHT			= 24;	// 1L

// 퓬LN^f[^
#define CHAR_BTL_GRAPH_FNAME_PREFIX	"char_battle"

// 摜f[^
#define GRAPHS_SYSTEM_DATA_DIR		"..\\data\\graphs\\system"

// J[\G
#define CURSOR_FILE_NAME			"cursor.png"

// }[NG
#define MARK_FILE_NAME				"mark.png"


// Xg㉺
#define LIST_ARROW_UP_FNAME			"list_arrow_up.png"
#define LIST_ARROW_DOWN_FNAME		"list_arrow_down.png"

// ATBQ[W
#define ATB_GAUGE_FILE_NAME			"atb_gauge.png"

// ACeCSVf[^
#define ITEM_DATA_DIR				"..\\data\\item"
#define ITEM_NORMAL_CSV_FILE_NAME	"NormalItem.csv"
#define ITEM_WEAPON_CSV_FILE_NAME	"Weapon.csv"
#define ITEM_ARMOR_CSV_FILE_NAME	"Armor.csv"

enum {
	ITEM_ID_BASE_NORMAL				= 0,	// ʏACe
	//ITEM_ID_BASE_IMPORTANT			= 1000, // 厖Ȃ
	ITEM_ID_BASE_WEAPON				= 2000,	// 
	ITEM_ID_BASE_ARMOR				= 3000,	// h
	ITEM_ID_BASE_ACCESSORY			= 4000,	// ANZT
};

// 󔠃f[^
#define TREASURE_DATA_DIR			"..\\data\\treasure"
#define TREASURE_DATA_CSV_FILE_NAME	"Treasure.csv"

typedef struct {
	int nIndex;		// CfbNX
	int nMapID;		// }bvID
	int nEventID;	// CxgID
}stTreasureData;

// LvXe[^Xf[^
#define LV_INFO_DATA_DIR			"..\\data\\lvinfo"
#define LV_INFO_DATA_FNAME_PREFIX	"LvInfo"

// wiGf[^
#define FILED_DATA_DIR				"..\\data\\field"
#define FILED_FNAME_PREFIX			"field_"
#define FIELD_TABLE_FILE_NAME		"Field.csv"

// Gf[^
#define ENEMY_GRAPHIC_DIR			"..\\data\\enemy\\graphs"
#define ENEMY_FNAME_PREFIX			"enemy_"

// Ge[uf[^
#define ENEMY_TABLE_DIR				"..\\data\\enemy"
#define ARRANGE_TABLE_FILE_NAME		"ArrangeTable.csv"
#define ENEMY_PARTY_TABLE_FILE_NAME	"EnemyPartyTable.csv"
#define ENEMY_TABLE_FILE_NAME		"EnemyTable.csv"
#define ENEMY_CMD_TABLE_FILE_NAME	"EnemyCommandTable.csv"
#define ENCOUNT_TABLE_FILE_NAME		"EncountInfo.csv"

// TEhf[^
#define BGM_DIR				"..\\data\\bgm"
enum {
	BGM_ID_WORLD		= 1,
	BGM_ID_FOREST		= 2,
	BGM_ID_BATTLE		= 3,
	BGM_ID_BATTLE_WIN	= 4,
};
