//=============================================================================
// EnemyPartyWindow.h
//=============================================================================
#pragma once
#include <vector>
#include "MsgWindow.h"

class CEnemy;
//-----------------------------------------------------------------------------
// CEnemyPartyWindow
//-----------------------------------------------------------------------------
class CEnemyPartyWindow : public CMsgWindow
{
protected:
	std::vector<CEnemy *>	m_lstEnemy;
	int						m_nLastAliveCount;

	void UpdateNameList( void );
public:
	CEnemyPartyWindow(void);
	virtual ~CEnemyPartyWindow(void);

	BOOL IsMenu( void ) const
	{	return FALSE;	};

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, std::vector<CEnemy *> &lstEnemy );

	void FrameMove( void );
	void Render( void );
};

