//=============================================================================
// ItemListWindow.h
//=============================================================================
#pragma once
#include "ListWindow.h"

class CPlayerParty;
class CManipulator;
class CCoWndManager;
//-----------------------------------------------------------------------------
// CItemListWindow
//-----------------------------------------------------------------------------
class CItemListWindow :	public CListWindow
{
public:
	enum {
		ITEM_LIST_MODE_NORMAL = 0,		// ʏ
		ITEM_LIST_MODE_IMPORTANT,		// Ȃ
	};
	enum {
		ONE_PAGE_ITEM_COUNT = 20,
	};
protected:
	int				m_nMode;			// ʏACe / Ȃ
	BOOL			m_bSelected;		// IĂ
	int				m_nSelItem;			// IĂACe
	CCoWndManager	*m_pParent;			// eEBhE
	CPlayerParty	*m_pPlayerParty;	// v[p[eB (Q)

	void ProcDecideKey( void );			// L[ʒm
public:
	CItemListWindow(void);
	virtual ~CItemListWindow(void);

	// \ݒ
	void SetVisible( BOOL bFlag );
	void UpdateDispItem( void );		// \ACe̕ύX

	void SetItemListMode( int nMode )
	{	m_nMode = nMode;
		UpdateDispItem();
	};
	int GetItemListMode( void ) const
	{	return m_nMode;
	};

	// 
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CPlayerParty *pParty, CCoWndManager *pParent );

	void Render( void );							// `
	void FrameMove( const CManipulator *pMani );	// XV
};

