//=============================================================================
// MapEvent.h
//=============================================================================
#pragma once
#include <list>

class CDataManager;
class CMapManager;
class CMapObject;
class CCharacterObject;
//-----------------------------------------------------------------------------
// CMapEvent
//-----------------------------------------------------------------------------
class CMapEvent
{
	friend class CDataManager;
	friend class CScriptManager;

protected:
	int			m_nWidth;			// ^CPʕ   (MapManager Rs[)
	int			m_nHeight;			// ^CPʍ (MapManager Rs[)
	WORD		*m_wMapObject;
	std::list<CMapObject *> m_lstMapObj;

	static BOOL CompObjY( CMapObject* lhs, CMapObject* rhs);
public:
	CMapEvent(void);
	virtual ~CMapEvent(void);

	void SetMapInfo( int nWidth, int nHeight )
	{
		m_nWidth = nWidth;
		m_nHeight = nHeight;
	}

	// YWŃ\[g
	void SortMapObject( void );
	
	// }bvIuWFNg擾
	CMapObject *GetMapObject( int nLocX, int nLocY );
	CMapObject *GetMapObject( int nObjID );

	// 
	void FrameMove( CMapManager *pMapMan );

	// `
	void RenderMapObjects( CCharacterObject *pPlayer, int iLeftTopX, int iLeftTopY, int nDrawOffsetX, int nDrawOffsetY );

	// NA
	void Clear( void );
};

