//=============================================================================
// PlayerPartyWindow.h
//=============================================================================
#pragma once
#include "framewindow.h"

#include "AtbGauge.h"

class CPlayerParty;
//-----------------------------------------------------------------------------
// CPlayerPartyWindow
//-----------------------------------------------------------------------------
class CPlayerPartyWindow : public CFrameWindow
{
	enum {
		FRAME_TO_NAME_MARGINE_Y		=   8,
		FRAME_TO_NAME_MARGINE_X		=  10,
		FRAME_TO_HP_MARGINE_X		=  85,
		FRAME_TO_ATB_GAUGE_MARGINE_X= 120,
	};

protected:
	CAtbGauge		m_AtbGauge[PLAYER_COUNT_MAX];
	CPlayerParty	*m_pPlayerParty;
public:
	CPlayerPartyWindow(void);
	virtual ~CPlayerPartyWindow(void);

	BOOL IsMenu( void ) const	// j[邩
	{	return FALSE;	};

	BOOL Create( int nPosX, int nPosY, int nWidth, int nHeight, CPlayerParty *pParty );
	void FrameMove( void );		// XV
	void Render( void );		// `
};

