//=============================================================================
// SoundManager.h
//=============================================================================
#pragma once
#include <map>

//-----------------------------------------------------------------------------
// CSoundManager
//-----------------------------------------------------------------------------
class CSoundManager
{
public:
	enum{
		NO_LOOP = -1,
	};
protected:
	std::map<int, int> m_mapBGMHandle;	// IDHandle

public:
	CSoundManager(void);
	virtual ~CSoundManager(void);

	BOOL Initialize( void );
	void Finalize( void );

	// ɓǂݍ
	int LoadMemory( int nID );
	// Đ
	void PlayBGM( int nID, BOOL nTopPositionFlag );
	// ~
	void StopAllBGM( void );

	// IDt@C擾
	const char *GetSoundFileName( int nID );

	// ID烋[vʒu擾
	int GetSoundLoopPos( int nID );
};

