//=============================================================================
// StoreMenuWindow.h
//=============================================================================
#pragma once
#include "menuwindow.h"

class CCoWndManager;
//-----------------------------------------------------------------------------
// CStoreMenuWindow
//-----------------------------------------------------------------------------
class CStoreMenuWindow : public CMenuWindow
{
public:
	enum {
		MENU_ID_BUY	= 0,	// 
		MENU_ID_SELL,		// 
		MENU_ID_EXIT,		// ł
	};

protected:
	CCoWndManager	*m_pParent;		// eEBhE

public:
	CStoreMenuWindow(void);
	virtual ~CStoreMenuWindow(void);

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CCoWndManager *pParent );

	void FrameMove( const CManipulator *pMani ); 	// XV
	void Render( void );							// `

	virtual void SetFocus( BOOL bFlag )
	{
		m_bFocused = bFlag;
		m_pCursor->SetVisible( m_bFocused );
	};

};

