//=============================================================================
// UseItem.h
//=============================================================================
#pragma once

class CBattle;
class CGame;
class CPlayerParty;
//-----------------------------------------------------------------------------
// CUseItem
//-----------------------------------------------------------------------------
class CUseItem
{
private:
	CUseItem(void);
	virtual ~CUseItem(void);

protected:
	CBattle			*m_pBattle;
	CGame			*m_pGame;
	CPlayerParty	*m_pPlayerParty;

public:
	static CUseItem *CUseItem::GetInstance( void );

	BOOL Initialize( CBattle *pBattle, CGame *pGame, CPlayerParty *pPlayerParty );	// 
	void Finalize( void );		// I

	// ACegp (ACeID)
	BOOL UseItem( int nID, int nPlayerIndex );

	// ACegp\
	BOOL CanUseItem( int nID );


	// eACe
	BOOL UseItem0001( int nPlayerIndex );
	BOOL UseItem0002( int nPlayerIndex );
	BOOL UseItem0003( int nPlayerIndex );
	BOOL UseItem0004( int nPlayerIndex );
	BOOL UseItem0005( int nPlayerIndex );

};

