//=============================================================================
// EquipItemListWindow.h
//=============================================================================
#pragma once
#include "listwindow.h"

class CEquipWindow;
class CPlayerParty;
class CEquipItem;
//-----------------------------------------------------------------------------
// CEquipItemListWindow
//-----------------------------------------------------------------------------
class CEquipItemListWindow : public CListWindow
{
public:
	enum {
		ONE_PAGE_ITEM_COUNT = 10,
	};

protected:
	std::vector<stItemInfo *> m_lstItemInfo;	// \ACe
	CEquipWindow	*m_pParent;					// eEBhE
	CPlayerParty	*m_pPlayerParty;			// v[p[eB (Q)

public:
	CEquipItemListWindow(void);
	virtual ~CEquipItemListWindow(void);

	void UpdateDispItem( void );
	CEquipItem *GetSelectedItem( void );

	// 
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CPlayerParty *pParty, CEquipWindow *pParent );
	void FrameMove( const CManipulator *pMani );
	void Render( void );
};

