//=============================================================================
// EquipMenuWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "EquipMenuWindow.h"
#include "CoWndManager.h"
#include "Manipulator.h"

const stMenuItem EQUIP_MENU_ITEM[] = {
	{   CEquipMenuWindow::MENU_ID_EQUIP,		TRUE,  17,   4, "", 0, 0 },
	{   CEquipMenuWindow::MENU_ID_AUTO,			TRUE,  69,   4, "傤", 0, 0 },
	{   CEquipMenuWindow::MENU_ID_REMOVE,		TRUE, 148,   4, "͂", 0, 0 },
	{   CEquipMenuWindow::MENU_ID_REMOVE_ALL,	TRUE, 201,   4, "ׂĂ͂", 0, 0 },
	{   CEquipMenuWindow::MENU_ID_FINISH,		TRUE, 280,   4, "", 0, 0 },
};
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CEquipMenuWindow::CEquipMenuWindow(void)
{
	m_nType = MENU_TYPE_HORIZONTAL;	// ^j[
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CEquipMenuWindow::~CEquipMenuWindow(void)
{
}
//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CEquipMenuWindow::Create( int iPosX, int iPosY, int iWidth, int iHeight, CCoWndManager *pParent )
{
	// eEBhEۑ
	m_pParent = pParent;

	BOOL bRet = CMenuWindow::Create( iPosX, iPosY, iWidth, iHeight );

	// ACeǉ
	for ( int iCnt = 0; iCnt < sizeof( EQUIP_MENU_ITEM ) / sizeof( EQUIP_MENU_ITEM[0] ); iCnt ++ )
	{
		AddMenuItem( &EQUIP_MENU_ITEM[iCnt] );
	}
	return bRet;
}

//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CEquipMenuWindow::FrameMove( const CManipulator *pMani )
{
	if ( !m_bFocused )
		return;

	CMenuWindow::FrameMove( pMani );

	// LZL[
	if ( pMani->CheckKey( KEY_INPUT_Z ) )
	{
		m_pParent->NotifyCancelKey( this );
	}
	else if ( pMani->CheckKey( KEY_INPUT_X ) )
	{
		m_pParent->NotifyDecideKey( this, GetCurPos() );
	}
}
