//=============================================================================
// FrameWindow.h
//=============================================================================
#pragma once

#include "Drawable.h"
//-----------------------------------------------------------------------------
// CFrameWindow
//-----------------------------------------------------------------------------
class CFrameWindow : public CDrawable
{
protected:
	enum {
		L_T_CORNER = 0,	// 
		R_T_CORNER,		// E
		L_B_CORNER,		// 
		R_B_CORNER,		// E
		T_SIDE,			// 
		B_SIDE,			// 
		L_SIDE,			// 
		R_SIDE,			// E
		BACK_GROUND,	// wi
	};

protected:
	int		m_nPosX;		// EBhEʒuX
	int		m_nPosY;		// EBhEʒuY
	int		m_nWidth;		// EBhE
	int		m_nHeight;		// EBhE
	int		m_nHandle[FRAME_CHIP_COUNT];	// t[`bv摜nh

	int		m_nFrameCnt;			// t[JE^
	BOOL	m_bProgressVisible;		// t[I\邩 \ɂ邩
	BOOL	m_bExtendBackGround;	// wiG`悷邩ۂ

	void RenderFrame( void );

public:

	CFrameWindow(void);
	virtual ~CFrameWindow(void);

	// 
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight );
	virtual void Delete( void );

	// wiF`悷邩ۂ
	void SetExtendBackGround( BOOL bFlag )
	{	m_bExtendBackGround = bFlag;	};

	// _O
	virtual void Render( void );
	virtual void FrameMove( void );

	// j[邩ۂ
	virtual BOOL IsMenu( void ) const = 0;

	BOOL IsShow( void ) const
	{	return ( CDrawable::IsVisible() || m_bProgressVisible );	};

	void ShowWindow( BOOL bFlag );
	virtual void SetVisible( BOOL bFlag );	// `

};
