//=============================================================================
// GillWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "GillWindow.h"
#include "Game.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CGillWindow::CGillWindow(void)
	: m_bEnabled( TRUE )
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CGillWindow::~CGillWindow(void)
{
}
//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CGillWindow::Render( void )
{
	CFrameWindow::Render();

	UINT nGill = (UINT)CGame::GetInstance()->GetGill();
	char szBuff[64];
	sprintf_s( szBuff, sizeof(szBuff) , "%9d" , nGill );

	DrawString( m_nPosX + 18, m_nPosY + 6, szBuff, STRING_COLOR );
	DrawString( m_nPosX + 50, m_nPosY + 18, "M", STRING_COLOR );

	if ( !m_bEnabled )
	{	// Â
		SetDrawBlendMode( DX_BLENDMODE_ALPHA, 128 );
		DrawBox( m_nPosX, m_nPosY, m_nPosX + m_nWidth, m_nPosY + m_nHeight, GetColor(0,0,0), TRUE );
		SetDrawBlendMode( DX_BLENDMODE_NOBLEND, 255 );
	}
}
