//=============================================================================
// Item.cpp
//=============================================================================
#include "Stdinc.h"
#include "Item.h"

//-----------------------------------------------------------------------------
// [ static ] IsEquipItem
// ACeۂ
//-----------------------------------------------------------------------------
 BOOL CEquipItem::IsEquipItem( int nID )
 {
	 if ( ITEM_ID_BASE_WEAPON <= nID )
		return TRUE;

	 return FALSE;
 }

//-----------------------------------------------------------------------------
// [ static ] GetCharPosFromEquipPos
// \ꏊ -> ꏊւ̕ϊ
//-----------------------------------------------------------------------------
int CEquipItem::GetCharPosFromEquipPos( int nEquipPos )
{
	switch ( nEquipPos )
	{
	case EQUIP_POS_DOMINANT:		// 		:1
		return CHR_POS_DOMINANT;

	case EQUIP_POS_NON_DOMINANT:	// 񗘂		:2
		return CHR_POS_NON_DOMINANT;

	case EQUIP_POS_TWOHAND:			// 			:4
		return CHR_POS_DOMINANT;

	case EQUIP_POS_HEAD:			// 			:5
		return CHR_POS_HEAD;
/*
	case EQUIP_POS_ARM:				// r			:-
		return CHR_POS_ARM;
*/
	case EQUIP_POS_BODY:			// 			:6
		return CHR_POS_BODY;
/*
	case EQUIP_POS_LEG:				// 			:-
		return CHR_POS_LEG;
*/
	case EQUIP_POS_NONE:			// s\		:0
	case EQUIP_POS_ANY_HAND:		// ǂł	:3
	case EQUIP_POS_ACCESSORY:		// ANZT	:7
	default:
		break;
	}

	return CHR_POS_MAX;	// s
}
//-----------------------------------------------------------------------------
// [ static ] GetCharPosFromEquipPos
// \ꏊ -> ꏊւ̕ϊ
//-----------------------------------------------------------------------------
BOOL CEquipItem::CanEquipPos( int nCharPos, int nEquipPos )
{
	switch ( nCharPos )
	{
	case CHR_POS_DOMINANT:		// 
		if ( nEquipPos == EQUIP_POS_DOMINANT || nEquipPos == EQUIP_POS_ANY_HAND || nEquipPos == EQUIP_POS_TWOHAND )
			return TRUE;
		break;

	case CHR_POS_NON_DOMINANT:	// 񗘂
		//if ( nEquipPos == EQUIP_POS_NON_DOMINANT || nEquipPos == EQUIP_POS_ANY_HAND || nEquipPos == EQUIP_POS_TWOHAND )
		//	return TRUE;

		// ToDo: 莝A񓁗Ȃǂ̏ b
		if ( nEquipPos == EQUIP_POS_NON_DOMINANT )
			return TRUE;

		break;

	case CHR_POS_HEAD:			// 
		if ( nEquipPos == EQUIP_POS_HEAD )
			return TRUE;
		break;

	case CHR_POS_BODY:			// 
		if ( nEquipPos == EQUIP_POS_BODY )
			return TRUE;
		break;

	case CHR_POS_ACCESSORY1:	// ANZT
		if ( nEquipPos == EQUIP_POS_ACCESSORY )
			return TRUE;
		break;

	default:
		break;
	}

	return FALSE;
}
//-----------------------------------------------------------------------------
// [ static ] CanEquip
// wJOB ̑𑕔\ǂԂ
//-----------------------------------------------------------------------------
BOOL CEquipItem::CanEquip( int nType, int nJobID )
{
	BOOL JOB_EQUIP_TABLE[EQUIP_ITEM_TYPE_MAX][JOB_ID_MAX] = 
	{
		// EQUIP_ITEM_TYPE_NONE
		{
			TRUE,TRUE,TRUE,TRUE,
		},
		// EQUIP_ITEM_TYPE_HIDE:	琻i
		{
			TRUE,	// JOB_ID_SUPPIN
			TRUE,	// JOB_ID_KNIGHT
			TRUE,	// JOB_ID_BLACK_WIZARD
			TRUE,	// JOB_ID_WHITE_WIZARD
		},
		// EQUIP_ITEM_TYPE_SHORT_SWORD:	Z
		{
			TRUE,	// JOB_ID_SUPPIN
			TRUE,	// JOB_ID_KNIGHT
			TRUE,	// JOB_ID_BLACK_WIZARD
			TRUE,	// JOB_ID_WHITE_WIZARD
		},
		// EQUIP_ITEM_TYPE_LONG_SWORD:	
		{
			TRUE,	// JOB_ID_SUPPIN
			TRUE,	// JOB_ID_KNIGHT
			FALSE,	// JOB_ID_BLACK_WIZARD
			FALSE,	// JOB_ID_WHITE_WIZARD
		},
		// EQUIP_ITEM_TYPE_WAND:	
		{
			TRUE,	// JOB_ID_SUPPIN
			FALSE,	// JOB_ID_KNIGHT
			FALSE,	// JOB_ID_BLACK_WIZARD
			TRUE,	// JOB_ID_WHITE_WIZARD
		},
		// EQUIP_ITEM_TYPE_ROD:		bh
		{
			TRUE,	// JOB_ID_SUPPIN
			FALSE,	// JOB_ID_KNIGHT
			TRUE,	// JOB_ID_BLACK_WIZARD
			FALSE,	// JOB_ID_WHITE_WIZARD
		},
	};

	return JOB_EQUIP_TABLE[nType][nJobID];
}
