//=============================================================================
// ItemPartyWindow.h
//=============================================================================
#pragma once
#include "MenuWindow.h"

class CItemWindow;
class CPlayerParty;
class CItem;
class CEquipItem;
class CManipulator;
//-----------------------------------------------------------------------------
// CItemPartyWindow
//-----------------------------------------------------------------------------
class CItemPartyWindow : public CMenuWindow
{
public:
protected:
	CItemWindow		*m_pParent;			// e
	CPlayerParty	*m_pPlayerParty;	// v[p[eB (Q)
	CItem			*m_pItem;			// ΏۃACe

public:
	CItemPartyWindow(void);
	virtual ~CItemPartyWindow(void);

	void SetTargetItem( CItem *pItem );
	CItem *GetTargetItem( void )
	{	return m_pItem;	};

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CPlayerParty *pParty, CItemWindow *pParent );

	void FrameMove( const CManipulator *pMani );
	void Render( void );

};

