//=============================================================================
// MagicWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "MagicWindow.h"
#include "Manipulator.h"
#include "CampWindow.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CMagicWindow::CMagicWindow(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CMagicWindow::~CMagicWindow(void)
{
}

//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CMagicWindow::Create( CPlayerParty *pPlayerParty, CCampWindow *pParent )
{
	m_pPlayerParty = pPlayerParty;
	m_pCampWnd = pParent;

	// @ʕ\
	m_TagWnd.Create( 0, 0, 70, 28 );
	m_TagWnd.SetLeftMargin( 8 );
	m_lstCoWindow.push_back( &m_TagWnd );

	// ڍו\
	m_DescWnd.Create( 70, 0, 250, 32, this );
	m_lstCoWindow.push_back( &m_DescWnd );

	// Xe[^XEBhE
	m_CharWnd.Create( 0, 32, 320, 48, pPlayerParty, this );
	m_lstCoWindow.push_back( &m_CharWnd );

	// C^Cv j[EBhE
	m_MenuMWnd.Create( 0, 0, 70, 68, this );
	m_lstCoWindow.push_back( &m_MenuMWnd );

	// Tu^Cv j[EBhE
	m_MenuSWnd.Create( 0, 68, 70, 68, this );
	m_lstCoWindow.push_back( &m_MenuSWnd );

	// XgEBhE
	m_ListWnd.Create( 0, 80, 320, 160, pPlayerParty, this );
	m_lstCoWindow.push_back( &m_ListWnd );

	return TRUE;
}

//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CMagicWindow::FrameMove( const CManipulator *pMani )
{
	if ( !IsVisible() )
		return;

	// L[ɂ郁j[܂̏
	// JobAbilityMenu 1̃j[̂悤ɓ
	if ( m_MenuMWnd.IsFocused() )
	{
		int iCurPos = m_MenuMWnd.GetCurPos();
		// ԉ̃ACeŉL[ꂽ
		if ( pMani->CheckKey( KEY_INPUT_DOWN ) && iCurPos == m_MenuMWnd.GetItemCount() - 1 )
		{
			ChangeFocus( &m_MenuSWnd );
			return;
		}
		// ԏ̃ACeŏL[ꂽ
		if ( pMani->CheckKey( KEY_INPUT_UP ) && iCurPos == 0 )
		{
			ChangeFocus( &m_MenuSWnd );
			m_MenuSWnd.SetCurPos( m_MenuSWnd.GetItemCount() - 1 );
			return;
		}
	}
	if ( m_MenuSWnd.IsFocused() )
	{
		int iCurPos = m_MenuSWnd.GetCurPos();
		// ԉ̃ACeŉL[ꂽ
		if ( pMani->CheckKey( KEY_INPUT_DOWN ) && iCurPos == m_MenuSWnd.GetItemCount() - 1 )
		{
			ChangeFocus( &m_MenuMWnd );
			m_MenuMWnd.SetCurPos( 0 );
			return;
		}
		// ԏ̃ACeŏL[ꂽ
		if ( pMani->CheckKey( KEY_INPUT_UP ) && iCurPos == 0 )
		{
			ChangeFocus( &m_MenuMWnd );
			m_MenuMWnd.SetCurPos( m_MenuMWnd.GetItemCount() - 1 );
			return;
		}
	}

	CCoWndManager::FrameMove( pMani );

}
//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CMagicWindow::Render( void )
{
	if ( !IsVisible() )
		return;

	CCoWndManager::Render();
}

//-----------------------------------------------------------------------------
// j
//-----------------------------------------------------------------------------
void CMagicWindow::Delete( void )
{
}
//-----------------------------------------------------------------------------
// SetVisible
//-----------------------------------------------------------------------------
void CMagicWindow::SetVisible( BOOL bFlag )
{
	CCoWndManager::SetVisible( bFlag );

	if ( bFlag )
	{
		m_ListWnd.SetVisible( FALSE );
		ChangeFocus( &m_MenuMWnd );
	}
}

//-----------------------------------------------------------------------------
// qEBhẼj[ʒm
//-----------------------------------------------------------------------------
void CMagicWindow::NotifyDecideKey( CFrameWindow *pWnd, int nMenuID )
{
	if ( pWnd == &m_MenuMWnd )
	{
		switch ( nMenuID )
		{
		case CMagicMainTypeMenuWindow::MENU_ID_WHITE:		// ܂ق
			break;
		case CMagicMainTypeMenuWindow::MENU_ID_BLACK:		// ܂ق
			break;
		case CMagicMainTypeMenuWindow::MENU_ID_SPACETIME:	// 
			break;
		default:
			break;
		}
	}
	else if ( pWnd == &m_MenuSWnd )
	{
		switch ( nMenuID )
		{
		case CMagicSubTypeMenuWindow::MENU_ID_SUMMON:		// 傤
			break;
		case CMagicSubTypeMenuWindow::MENU_ID_MAGIC_SWORD:	// ܂ق
			break;
		case CMagicSubTypeMenuWindow::MENU_ID_SONG:			// 
			break;
		default:
			break;
		}
	}
}
//-----------------------------------------------------------------------------
// qEBhẼLZ{^ʒm
//-----------------------------------------------------------------------------
void CMagicWindow::NotifyCancelKey( CFrameWindow *pWnd )
{
	if ( pWnd == &m_MenuMWnd )
	{
		SetVisible( FALSE );
		// Lvj[ɖ߂
		m_pCampWnd->SetVisible( TRUE );
	}
	else if ( pWnd == &m_MenuSWnd )
	{
		SetVisible( FALSE );
		// Lvj[ɖ߂
		m_pCampWnd->SetVisible( TRUE );
	}
}