//=============================================================================
// MapConst.h
//=============================================================================
#pragma once

const int MAP_CHIP_SIZE = 16;	// }bv`bvTCY
const int TILE_COUNT_X  = 21;	// 1ʓ`bv 
const int TILE_COUNT_Y  = 15;	// 1ʓ`bv o

// Aj[V`bv
const int CHIP_ANIMATION_FRAME = 16*16;	// 16R}
typedef struct {
	int nChipID;
	int	nChipNo;
	int nAniType;
	int nAniGraphHandle[CHIP_ANIMATION_FRAME];
}stAniChipInfo;

// [h}bvID
const int MAP_ID_WORLD = 1;

enum {
	LAYER_0 = 0,// 
	LAYER_1,	// i
	LAYER_2,	// i
	LAYER_FLAG,	// ʍstO (\)
	LAYER_OBJ,	// zuIuWFNg (\)
	LAYER_ENCNT,// GJEg (\)
	LAYER_MAX
};
const int LAYER_CHIP_MAX = 3;					// \郌C

const int SCREEN_CENTER_TILE_X = 10;			// ʒS X
const int SCREEN_CENTER_TILE_Y = 7;				//			Y
const int SCREEN_CENTER_TILE_PIXEL_X = 168;		//			X (sNZ)
const int SCREEN_CENTER_TILE_PIXEL_Y = 128;		//			Y (sNZ)

const int SCROLL_STOP_TILE_MARGINE_H	= 0;	// 荶/E̓XN[Ȃ
const int SCROLL_STOP_TILE_MARGINE_V	= 0;	// /̓XN[Ȃ


// Platinum
typedef struct tag_FMFHeader {
	DWORD	dwIdentifier;	// t@Cʎq 'FMF_'
	DWORD	dwSize;			// wb_f[^TCY
	DWORD	dwWidth;		// }bv̉
	DWORD	dwHeight;		// }bv̍
	BYTE	byChipWidth;	// }bv`bv1̕(pixel)
	BYTE	byChipHeight;	// }bv`bvP̍(pixel)
	BYTE	byLayerCount;	// C[̐
	BYTE	byBitCount;		// Cf[^̃rbgJEg
} FMFHEADER;

// }bv؂ւv
typedef struct {
	int nMapID;				// }bvID
	int nLocX;				// ʒu X
	int nLocY;				// ʒu Y
	int nPlayerDir;			// v[
} stMapChangeReqParam;

// }bv؂ւv
typedef struct {
	int nDirection;			// 
	int nSpeed;				// x
} stMapMoveReqParam;

// }bvIuWFNgړv
class CMapObject;
typedef struct {
	CMapObject	*pMapObj;	// Ώۃ}bvIuWFNg
	int nDirection;			// 
	int nSpeed;				// x
} stMapObjMoveReqParam;

enum {
	SCROLL_SPEED_WALK	= 0,	// 
	SCROLL_SPEED_DASH,			// 
	SCROLL_SPEED_CHOKOBO		// `R{
};

// ʍstO
enum {	// (MapChipԍ)
	PASS_FLAG_NONE	= 0,		// ʍs
	PASS_FLAG_01	= 1,		// C
	PASS_FLAG_02	= 2,		// 
	PASS_FLAG_03	= 3,		// 
	PASS_FLAG_04	= 4,		// 
	PASS_FLAG_05	= 5,		// 
	PASS_FLAG_06	= 6,		// X
	PASS_FLAG_07	= 7,		// R
	PASS_FLAG_08	= 8,		// x
	PASS_FLAG_NO_ENTRY	= 9,	// ~
	PASS_FLAG_ONEWAY_U	= 10,	// ɂs
	PASS_FLAG_ONEWAY_L	= 11,	// 
	PASS_FLAG_ONEWAY_D	= 12,	// 
	PASS_FLAG_ONEWAY_R	= 13,	// 
	PASS_FLAG_UD	= 14,		// 
	PASS_FLAG_LR	= 15,		// 
	PASS_FLAG_UL	= 16,		// 
	PASS_FLAG_DR	= 17,		// 
	PASS_FLAG_DL	= 18,		// 
	PASS_FLAG_UR	= 19,		// 
	PASS_FLAG_COUNTER	= 20,	// 
};


// }bvIuWFNg ID
enum {
	MAP_OBJECT_INVALID_ID	= 0,	// ID
};
// }bvIuWFNg^Cv
enum {
	MAP_OBJECT_TYPE_NPC = 0,	// NPC
	MAP_OBJECT_TYPE_STORE,		// X
	MAP_OBJECT_TYPE_FLOOR,		// 
	MAP_OBJECT_TYPE_STABLE,		// zuIuWFNg(/tB[hACec)
};
// }bvIuWFNgړ^Cv
enum {
	MOVE_TYPE_RANDOM = 0,		// _
	MOVE_TYPE_FIXED,			// Œ
};

// }bvIuWFNgړpx
enum {
	MOVE_FREQ_LOW = 0,		// px
	MOVE_FREQ_NORMAL,		// ʏ
	MOVE_FREQ_HIGH,			// px
};
// }bvIuWFNgړx
enum {
	MOVE_SPEED_LOW = 0,		// ᑬ
	MOVE_SPEED_NORMAL,		// ʏ
	MOVE_SPEED_HIGH,		// 
};
// }bvIuWFNgAj[Vx
enum {
	ANI_SPEED_LOW = 0,		// ᑬ
	ANI_SPEED_NORMAL,		// ʏ
	ANI_SPEED_HIGH,			// 
};


// XNvgN
enum {
	MAP_SCRIPT_TRIGER_NONE = 0,	// `
	MAP_SCRIPT_TRIGER_BUTTON,	// N{^
	MAP_SCRIPT_TRIGER_ADJOINING,// א
	MAP_SCRIPT_TRIGER_PLAYER_ON,// ɏ
};