//=============================================================================
// NumberAnimation.cpp
//=============================================================================
#include "Stdinc.h"
#include <math.h>
#include "NumberAnimation.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CNumberAnimation::CNumberAnimation(void)
	: m_nDigitCount( 0 )
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CNumberAnimation::~CNumberAnimation(void)
{
}
//-----------------------------------------------------------------------------
// StartAction
//-----------------------------------------------------------------------------
void CNumberAnimation::StartAction( int nPosX, int nPosY, int nNumber, DWORD dwColor )
{
	const int DIGIT_X_MARGINE = 8;
	const int DIGIT_Y_MARGINE = 8;

	// l񁨕
	m_nPosX = nPosX;
	m_nPosY = nPosY;
	m_dwColor = dwColor;

	char wkBuff[16];
	sprintf_s( wkBuff, sizeof(wkBuff), "%d", nNumber );

	m_nDigitCount = 0;
	for ( int iCnt = 0; iCnt < MAX_DIGIT_COUNT; iCnt ++ )
	{
		if ( wkBuff[iCnt] == '\0' )
		{
			break;
		}
		m_nDigit[iCnt] = wkBuff[iCnt] - '0';
		m_nDispPosX[iCnt] = m_nPosX + ( DIGIT_X_MARGINE * iCnt );
		m_nDispPosY[iCnt] = m_nPosY;

		m_nDigitCount ++;
	}

	m_nFrameCount = 50;
	SetVisible( TRUE );
}

//-----------------------------------------------------------------------------
// [static] GetDispWidth
//-----------------------------------------------------------------------------
int CNumberAnimation::GetDispWidth( int nNumber )
{
	const int DIGIT_X_MARGINE = 8;

	// l񁨕

	char wkBuff[16];
	sprintf_s( wkBuff, sizeof(wkBuff), "%d", nNumber );

	int nDigitCount = 0;
	for ( int iCnt = 0; iCnt < MAX_DIGIT_COUNT; iCnt ++ )
	{
		if ( wkBuff[iCnt] == '\0' )
		{
			break;
		}

		nDigitCount ++;
	}
	return ( DIGIT_X_MARGINE * nDigitCount );	// ToDo قƂ͏YĂ
}

//-----------------------------------------------------------------------------
// StartAction
//-----------------------------------------------------------------------------
void CNumberAnimation::FrameMove( void )
{
	// ToDo:

	// ˂Ȃ
	if ( m_nFrameCount == 0 )
	{
		SetVisible( FALSE );
		return;
	}

	// ɒ˂銴
	for ( int iCnt = 0; iCnt < m_nDigitCount; iCnt ++ )
	{
		if ( 20 < m_nFrameCount )
		{
			m_nDispPosY[iCnt] = m_nPosY - (int)abs( sin( PI * (50-m_nFrameCount) / 30.0f ) * 20.0f );
		}
		else if ( m_nFrameCount <= 20 )
		{
			m_nDispPosY[iCnt] = m_nPosY;
		}
	}
	m_nFrameCount --;
}
//-----------------------------------------------------------------------------
// StartAction
//-----------------------------------------------------------------------------
void CNumberAnimation::Render( void )
{
	if ( !IsVisible() )
		return;

	char wkBuff[16];
	for ( int iCnt = 0; iCnt < m_nDigitCount; iCnt ++ )
	{
		sprintf_s( wkBuff, sizeof(wkBuff), "%d", m_nDigit[iCnt] );
		DrawString( m_nDispPosX[iCnt], m_nDispPosY[iCnt], wkBuff, STRING_COLOR );
	}
}
