//=============================================================================
// PlayTimeWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "Game.h"
#include "PlayTimeWindow.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CPlayTimeWindow::CPlayTimeWindow(void)
	: m_bEnabled( TRUE )
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CPlayTimeWindow::~CPlayTimeWindow(void)
{
}
//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CPlayTimeWindow::Render( void )
{
	CFrameWindow::Render();

	UINT nPlay = (UINT)CGame::GetInstance()->GetPlayTime();
	char szBuff[64];

	int nHour = nPlay / 3600;
	int nMin  = nPlay / 60;
	//int nSec  = nPlay % 60;

	sprintf_s( szBuff, sizeof(szBuff) , "%02d : %02d" , nHour, nMin );

	DrawString( m_nPosX + 7, m_nPosY + 7, "TIME", STRING_COLOR );
	DrawString( m_nPosX + 30, m_nPosY + 17, szBuff, STRING_COLOR );

	if ( !m_bEnabled )
	{	// Â
		SetDrawBlendMode( DX_BLENDMODE_ALPHA, 128 );
		DrawBox( m_nPosX, m_nPosY, m_nPosX + m_nWidth, m_nPosY + m_nHeight, GetColor(0,0,0), TRUE );
		SetDrawBlendMode( DX_BLENDMODE_NOBLEND, 255 );
	}
}
