//=============================================================================
// StatusWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "StatusWindow.h"
#include "Manipulator.h"
#include "CampWindow.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CStatusWindow::CStatusWindow(void) : m_nSelPlayer( 0 )
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CStatusWindow::~CStatusWindow(void)
{
}
//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CStatusWindow::Create( CPlayerParty *pPlayerParty, CCampWindow *pParent )
{
	m_pPlayerParty = pPlayerParty;
	m_pCampWnd = pParent;

	// p^\
	m_ParamWnd.Create( 0, 0, 320, 240, pPlayerParty, this );
	m_lstCoWindow.push_back( &m_ParamWnd );

	// R}h\
	m_CmdWnd.Create( 210, 30, 70, 80 );
	m_lstCoWindow.push_back( &m_CmdWnd );

	// uXe[^Xv\
	m_TagWnd.Create( 250, 0, 70, 28 );
	m_TagWnd.SetTagName("Xe[^X");
	m_TagWnd.SetLeftMargin( 8 );
	m_lstCoWindow.push_back( &m_TagWnd );

	return TRUE;
}

//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CStatusWindow::FrameMove( const CManipulator *pMani )
{
	if ( !IsVisible() )
		return;

	CCoWndManager::FrameMove( pMani );

	if ( pMani->CheckKey( KEY_INPUT_Z ) )
	{
		SetVisible( FALSE );
		// Lvj[ɖ߂
		m_pCampWnd->SetVisible( TRUE );
	}
	else if ( pMani->CheckKey( KEY_INPUT_X ) )
	{
		m_nSelPlayer ++;
		if ( PLAYER_COUNT_MAX <= m_nSelPlayer )
			m_nSelPlayer = 0;
	}
}
//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CStatusWindow::Render( void )
{
	if ( !IsVisible() )
		return;

	CCoWndManager::Render();

}

//-----------------------------------------------------------------------------
// j
//-----------------------------------------------------------------------------
void CStatusWindow::Delete( void )
{
}
//-----------------------------------------------------------------------------
// SetVisible
//-----------------------------------------------------------------------------
void CStatusWindow::SetVisible( BOOL bFlag )
{
	CCoWndManager::SetVisible( bFlag );
}
