//=============================================================================
// StorePartyWindow.h
//=============================================================================
#pragma once
#include "framewindow.h"

class CPlayerParty;
class CItem;
class CEquipItem;
//-----------------------------------------------------------------------------
// CStorePartyWindow
//-----------------------------------------------------------------------------
class CStorePartyWindow : public CFrameWindow
{
public:
	enum {
		MODE_LIST = 0,
		MODE_AMOUNT,
	};
protected:
	int				m_nMode;
	CPlayerParty	*m_pPlayerParty;	// v[p[eB (Q)
	CEquipItem		*m_pItem;			// ΏۃACe
	int				m_nState;			// v[G
	UINT			m_nFrameCount;		

public:
	CStorePartyWindow(void);
	virtual ~CStorePartyWindow(void);

	BOOL IsMenu( void ) const
	{	return FALSE;	};

	void SetMode( int nMode )
	{	m_nMode = nMode;	};
	void SetTargetItem( CItem *pItem );

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CPlayerParty *pParty );

	void FrameMove( void );
	void Render( void );

};

