//=============================================================================
// UseItem.cpp
//=============================================================================
#include "Stdinc.h"
#include "Item.h"
#include "UseItem.h"
#include "Game.h"
#include "Battle.h"
#include "PlayerParty.h"
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CUseItem::CUseItem(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CUseItem::~CUseItem(void)
{
}
//-----------------------------------------------------------------------------
// GetInstance
//-----------------------------------------------------------------------------
CUseItem *CUseItem::GetInstance( void )
{
	static CUseItem m_Instance;
	return &m_Instance;
}
//-----------------------------------------------------------------------------
// 
//-----------------------------------------------------------------------------
BOOL CUseItem::Initialize( CBattle *pBattle, CGame *pGame, CPlayerParty *pPlayerParty )
{
	m_pBattle = pBattle;
	m_pGame = pGame;
	m_pPlayerParty = pPlayerParty;

	return TRUE;
}
//-----------------------------------------------------------------------------
// I
//-----------------------------------------------------------------------------
void CUseItem::Finalize( void )
{
}

//-----------------------------------------------------------------------------
// ACegp (ACeID)
//-----------------------------------------------------------------------------
BOOL CUseItem::UseItem( int nID, int nPlayerIndex )
{
	if ( ITEM_ID_BASE_WEAPON <= nID )
	{	// ʏACełȂ
		return FALSE;
	}

	switch ( nID )
	{
	case 1:	// |[V,30,HP񕜂
		return UseItem0001( nPlayerIndex );

	case 2:	// ǂ,10,łÂ
		return UseItem0002( nPlayerIndex );

	case 3:	// G[e,50,MP񕜂
		return UseItem0003( nPlayerIndex );

	case 4:	// eg,100,p[eBSHP MPS
		return UseItem0004( CMD_TARGET_ALL );

	case 5:	// tFjbNX̔,500,퓬s\񕜂
		return UseItem0005( nPlayerIndex );

	default:
		break;
	}


	return FALSE;
}
//-----------------------------------------------------------------------------
// ACegp (ACeID)
//-----------------------------------------------------------------------------
BOOL CUseItem::CanUseItem( int nID )
{
	if ( ITEM_ID_BASE_WEAPON <= nID )
	{	// ʏACełȂ
		return FALSE;
	}

	switch ( nID )
	{
	case 1:	// |[V,30,HP񕜂
	case 2:	// ǂ,10,łÂ
	case 3:	// G[e,50,MP񕜂
	case 5:	// tFjbNX̔,500,퓬s\񕜂
		return TRUE;

	case 4:	// eg,100,p[eBSHP MPS

		// n}\ [h}bv or Z[u|Cĝݎgp\
		return m_pGame->CanSaveNow();

	default:
		break;
	}

	return FALSE;
}
//-----------------------------------------------------------------------------
//  ACegp


//-----------------------------------------------------------------------------
// |[V
//-----------------------------------------------------------------------------
BOOL CUseItem::UseItem0001( int nPlayerIndex )
{
	CPlayerChar *pPlayer = m_pPlayerParty->GetPlayer( nPlayerIndex );
	if ( !pPlayer )
		return FALSE;

	if ( pPlayer->m_CharInfo.nHP == pPlayer->m_Param.Base.nMaxHP )
		return FALSE;	// ȏ񕜂łȂ

	int nRecover = 50;
	int nRand = (GetRand(1000) % 11) - 5;		// 50}5 
	nRecover += nRand;

	pPlayer->ChangeHitPoint( -nRecover );

	return TRUE;
}
//-----------------------------------------------------------------------------
// ŏ
//-----------------------------------------------------------------------------
BOOL CUseItem::UseItem0002( int nPlayerIndex )
{
	CPlayerChar *pPlayer = m_pPlayerParty->GetPlayer( nPlayerIndex );
	if ( !pPlayer )
		return FALSE;

	if ( !pPlayer->m_Status.bPoison )
		return FALSE;	// ŏsv

	pPlayer->m_Status.bPoison = FALSE;

	return TRUE;
}
//-----------------------------------------------------------------------------
// G[e
//-----------------------------------------------------------------------------
BOOL CUseItem::UseItem0003( int nPlayerIndex )
{
	CPlayerChar *pPlayer = m_pPlayerParty->GetPlayer( nPlayerIndex );
	if ( !pPlayer )
		return FALSE;

	if ( pPlayer->m_CharInfo.nMP == pPlayer->m_Param.Base.nMaxMP )
		return FALSE;	// ȏ񕜂łȂ

	int nRecover = 30;
	int nRand = (GetRand(1000) % 11) - 5;		// 30}5 
	nRecover += nRand;

	pPlayer->ChangeMagicPoint( -nRecover );

	return TRUE;
}
//-----------------------------------------------------------------------------
// eg
//-----------------------------------------------------------------------------
BOOL CUseItem::UseItem0004( int nPlayerIndex )
{
	CPlayerChar *pPlayer = m_pPlayerParty->GetPlayer( nPlayerIndex );
	if ( !pPlayer )
		return FALSE;

	if ( pPlayer->m_CharInfo.nHP == pPlayer->m_Param.Base.nMaxHP )
		return FALSE;	// ȏ񕜂łȂ

	int nRecover = 30;
	int nRand = (GetRand(1000) % 11) - 5;		// 30}5 
	nRecover += nRand;

	pPlayer->ChangeHitPoint( -nRecover );

	return TRUE;
}
//-----------------------------------------------------------------------------
// tFjbNX̔
//-----------------------------------------------------------------------------
BOOL CUseItem::UseItem0005( int nPlayerIndex )
{
	CPlayerChar *pPlayer = m_pPlayerParty->GetPlayer( nPlayerIndex );
	if ( !pPlayer )
		return FALSE;

	if ( pPlayer->m_CharInfo.nHP != 0 )
		return FALSE;	// tFjbNX̔sv

	// őHP 1/10܂ŉ
	pPlayer->m_CharInfo.nHP = (pPlayer->m_Param.Base.nMaxHP / 10) + 1;

	return TRUE;
}
