//=============================================================================
// YesNoMsgWindow.h
//=============================================================================
#pragma once
#pragma once
#include "MenuWindow.h"

//-----------------------------------------------------------------------------
// CYesNoMsgWindow
//-----------------------------------------------------------------------------
class CYesNoMsgWindow : public CMenuWindow
{
public:
	enum {
		QUESTION_MESSAGE_LINE_MAX = 2,

		MENU_ID_YES = 0,
		MENU_ID_NO  = 1,
	};
protected:
	int		m_nLineCnt;
	int		m_nChooseAns;

	// \Ă镶 (sP) (4spӂĂ)
	char m_szDisplayMsg[DISPLAY_MESSAGE_LINE_MAX][DISPLAY_MESSAGE_LEN_MAX+1];

	// \ׂ
	char m_szMsg[DISPLAY_MESSAGE_LINE_MAX][DISPLAY_MESSAGE_LEN_MAX+1];

	// tRs[
	int CopyWidthLimitString( char *pDst,  const char *pSrc, int nLen );

	// sRs[
	int DivCopyToMsgBuf( const char *pSrc, int nLineCnt = 0 );
	void SetDispMsgBuff( void );

public:
	CYesNoMsgWindow(void);
	virtual ~CYesNoMsgWindow(void);

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight );

	virtual void Render( void );	// _O
	virtual void FrameMove( const CManipulator *pMani );

	void SetVisible( BOOL bFlag );
	void SetQuestionMessage( const char *pMsg );

	int	GetChooseAns( void )
	{	return m_nChooseAns;	};
};


